/**
 * Copyright: Copyright (c) 2009 Jacob Carlborg.
 * Authors: Jacob Carlborg
 * Version: Initial created: Sep 24, 2009 
 * License: $(LINK2 http://www.boost.org/LICENSE_1_0.txt, Boost Software License 1.0)
 */
module dstep.appkit.NSAttributedString_bindings;

import dstep.objc.objc;

extern (C)
{
	extern
	{
		package id NSFontAttributeName;
		package id NSParagraphStyleAttributeName;
		package id NSForegroundColorAttributeName;
		package id NSUnderlineStyleAttributeName;
		package id NSSuperscriptAttributeName;
		package id NSBackgroundColorAttributeName;
		package id NSAttachmentAttributeName;
		package id NSLigatureAttributeName;
		package id NSBaselineOffsetAttributeName;
		package id NSKernAttributeName;
		package id NSLinkAttributeName;
		package id NSStrokeWidthAttributeName;
		package id NSStrokeColorAttributeName;
		package id NSUnderlineColorAttributeName;
		package id NSStrikethroughStyleAttributeName;
		package id NSStrikethroughColorAttributeName;
		package id NSShadowAttributeName;
		package id NSObliquenessAttributeName;
		package id NSExpansionAttributeName;
		package id NSCursorAttributeName;
		package id NSToolTipAttributeName;
		package id NSCharacterShapeAttributeName;
		package id NSGlyphInfoAttributeName;
		package id NSMarkedClauseSegmentAttributeName;
		package id NSSpellingStateAttributeName;
		package id NSPlainTextDocumentType;
		package id NSRTFTextDocumentType;
		package id NSRTFDTextDocumentType;
		package id NSMacSimpleTextDocumentType;
		package id NSHTMLTextDocumentType;
		package id NSDocFormatTextDocumentType;
		package id NSWordMLTextDocumentType;
		package id NSWebArchiveTextDocumentType;
		package id NSOfficeOpenXMLTextDocumentType;
		package id NSOpenDocumentTextDocumentType;
		package id NSPaperSizeDocumentAttribute;
		package id NSLeftMarginDocumentAttribute;
		package id NSRightMarginDocumentAttribute;
		package id NSTopMarginDocumentAttribute;
		package id NSBottomMarginDocumentAttribute;
		package id NSViewSizeDocumentAttribute;
		package id NSViewZoomDocumentAttribute;
		package id NSViewModeDocumentAttribute;
		package id NSDocumentTypeDocumentAttribute;
		package id NSReadOnlyDocumentAttribute;
		package id NSConvertedDocumentAttribute;
		package id NSCocoaVersionDocumentAttribute;
		package id NSBackgroundColorDocumentAttribute;
		package id NSHyphenationFactorDocumentAttribute;
		package id NSDefaultTabIntervalDocumentAttribute;
		package id NSCharacterEncodingDocumentAttribute;
		package id NSTitleDocumentAttribute;
		package id NSCompanyDocumentAttribute;
		package id NSCopyrightDocumentAttribute;
		package id NSSubjectDocumentAttribute;
		package id NSAuthorDocumentAttribute;
		package id NSKeywordsDocumentAttribute;
		package id NSCommentDocumentAttribute;
		package id NSEditorDocumentAttribute;
		package id NSCreationTimeDocumentAttribute;
		package id NSModificationTimeDocumentAttribute;
		package id NSExcludedElementsDocumentAttribute;
		package id NSTextEncodingNameDocumentAttribute;
		package id NSPrefixSpacesDocumentAttribute;
		package id NSDocumentTypeDocumentOption;
		package id NSDefaultAttributesDocumentOption;
		package id NSCharacterEncodingDocumentOption;
		package id NSTextEncodingNameDocumentOption;
		package id NSBaseURLDocumentOption;
		package id NSTimeoutDocumentOption;
		package id NSWebPreferencesDocumentOption;
		package id NSWebResourceLoadDelegateDocumentOption;
		package id NSTextSizeMultiplierDocumentOption;
	}
}

