/**
 * Copyright: Copyright (c) 2009 Jacob Carlborg.
 * Authors: Jacob Carlborg
 * Version: Initial created: Sep 24, 2009 
 * License: $(LINK2 http://www.boost.org/LICENSE_1_0.txt, Boost Software License 1.0)
 */
module dstep.appkit.NSPrintInfo_bindings;

import dstep.objc.objc;

extern (C)
{
	extern
	{
		package id NSPrintSpoolJob;
		package id NSPrintPreviewJob;
		package id NSPrintSaveJob;
		package id NSPrintCancelJob;
		package id NSPrintPaperName;
		package id NSPrintPaperSize;
		package id NSPrintOrientation;
		package id NSPrintScalingFactor;
		package id NSPrintLeftMargin;
		package id NSPrintRightMargin;
		package id NSPrintTopMargin;
		package id NSPrintBottomMargin;
		package id NSPrintHorizontallyCentered;
		package id NSPrintVerticallyCentered;
		package id NSPrintHorizontalPagination;
		package id NSPrintVerticalPagination;
		package id NSPrintPrinter;
		package id NSPrintCopies;
		package id NSPrintAllPages;
		package id NSPrintFirstPage;
		package id NSPrintLastPage;
		package id NSPrintMustCollate;
		package id NSPrintReversePageOrder;
		package id NSPrintJobDisposition;
		package id NSPrintSavePath;
		package id NSPrintPagesAcross;
		package id NSPrintPagesDown;
		package id NSPrintTime;
		package id NSPrintDetailedErrorReporting;
		package id NSPrintFaxNumber;
		package id NSPrintPrinterName;
		package id NSPrintHeaderAndFooter;
		package id NSPrintFormName;
		package id NSPrintJobFeatures;
		package id NSPrintManualFeed;
		package id NSPrintPagesPerSheet;
		package id NSPrintPaperFeed;
		package id NSPrintFaxCoverSheetName;
		package id NSPrintFaxHighResolution;
		package id NSPrintFaxModem;
		package id NSPrintFaxReceiverNames;
		package id NSPrintFaxReceiverNumbers;
		package id NSPrintFaxReturnReceipt;
		package id NSPrintFaxSendTime;
		package id NSPrintFaxTrimPageEnds;
		package id NSPrintFaxUseCoverSheet;
		package id NSPrintFaxJob;
	}
}

